#include <iostream>
#include <bits/stdc++.h>
#include <vector>
#include<algorithm>
#include<iterator>
using namespace std;
int rf(vector<int> T,int k)
{
    int p;
    if(k==0)
    {
       p=0;
        for(int z=0;z<T.size();z++)
        {
            p+=T[z];

        }
        return p;

    }
    else
    {


    vector<int> R;

  p=0;
    for(int i=0;i<T.size();i++)
    {

      for(int j=i;j<T.size();j++)
      {
       R.assign(T.begin()+i,T.end());
        p+=rf(R,k-1);

    }
    }
    cout<<p<<endl;


}
}
int main()
{
    int a,b,f;
    cin>>a>>b;
    vector<int> K;
    for(int s=0;s<a;s++)
    {
        cin>>f;
        K.push_back(f);
    }
    rf(K,b);
    return 0;
}